# TTTT Analysis: fv::Range< T > Class Template Reference

fv::Range< T > Class Template Reference

Calculate the range of the values in a vector. More...

`#include <value.hpp>`

Inheritance diagram for fv::Range< T >:
[legend]
Collaboration diagram for fv::Range< T >:
[legend]

## Public Member Functions

| Range (const std::string &v_name, const std::string alias="")
Public Member Functions inherited from fv::Reduce< T >
| Reduce (Function< T(std::vector< T >)> &reduce, Value< std::vector< T > > *v, const std::string alias="")
| Reduce (Function< T(std::vector< T >)> &reduce, const std::string &v_name, const std::string alias="")
Public Member Functions inherited from fv::DerivedValue< T >
| DerivedValue (const std::string &name, const std::string &alias="")
T & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< T >
| Value (const std::string &name, const std::string &alias="")
Public Member Functions inherited from fv::GenValue
| GenValue (const std::string &name, const std::string &alias)
const std::string & | get_name ()

## Private Member Functions

void | verify_integrity ()
| This function serves to check that this Value has been created with real, i.e. More...

## Additional Inherited Members

Static Public Member Functions inherited from fv::GenValue
static void | reset ()
static GenValue * | get_value (const std::string &name)
static void | alias (const std::string &name, GenValue *value)
static GenValue * | alias (const std::string &name)
static std::string | summary ()
Protected Attributes inherited from fv::Reduce< T >
Value< std::vector< T > > * | v
Protected Attributes inherited from fv::DerivedValue< T >
T | value
bool | value_valid
Static Protected Attributes inherited from fv::GenValue
static std::map< const std::string, GenValue * > | values
| A static mapping containing all created Value objects. More...
static std::map< const std::string, GenValue * > | aliases
| Composite value names are typically nested. More...

## Detailed Description

### template<typename T>
class fv::Range< T >

Calculate the range of the values in a vector.

## Member Function Documentation

## verify_integrity()

template<typename T >

void fv::Range< T >::verify_integrity | ( |  | ) |

inlineprivatevirtual

This function serves to check that this Value has been created with real, i.e.

non null, arguments. This is to avoid segfaulting when a dynamic_cast fails. If no checks need to be made, simple override this method with a no-op. If checks fail, the function should utilize the CRITICAL macro with a meaningfull error message stating what failed and especially the name of the current value.

Reimplemented from fv::Reduce< T >.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp